# Datasets

class `datasets.imm.``IMMPoints`(filename=None, points_list=None)

  Accepts IMM datapoint file which can be shown or used

  `get_image`()

    Get the image corresponding to the filename If filename == image_1.asf, then we read image_1.jpg from disk and return this to the user.

    Returns:
      ndarray image
  `get_points`()

    Get the flattened list of points

    Returns:
      ndarray. flattened array of points, see AAMPoints for more information.
  `import_file`(filename)

    Import an .asf filename. Load the points into a list of points and store the relative path to image file.

    Returns:
      ndarray(float). Numpy array of landmark locations as stated in the .asf files.
  `show`(window_name='image')

    show the image and datapoints on the image

`datasets.imm.``get_imm_image_with_landmarks`(filename)

  Get Points with image and landmarks/points

  Args:
    filename(fullpath): .asf file
  Returns:
    image, points

`datasets.imm.``get_imm_points`(files)

  This function does something.

  Args:
    files (array): Array of .asf full or relative path to .asf files.
  Returns:
    ndarray. Array of landmarks.